spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://23.232.14.115:3306/obpm2_security?characterEncoding=UTF-8&serverTimezone=GMT&useSSL=false&allowPublicKeyRetrieval=true&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: insx_security
    password: Insx_security#202505
  jpa:
    hibernate:
      ddl-auto: none
  #Redis服务器地址
  redis:
    host: 23.232.14.115
    port: 6378
    password: BaiChuanXin@2025
    #连接超时时间（毫秒）
    timeout: 30000
    prefixKey: 'v5jcinprod:'
    lettuce: # redis连接池配置
      pool:
        max-active: -1 #连接池最大连接数(使用负值表示没有限制) 默认为30
        max-wait: -1ms # 连接池最大阻塞等待时间(使用负值表示没有限制) 默认为-1
        max-idle: 8 # 连接池中的最大空闲连接 默认为8
        min-idle: 0 # 连接池中的最小空闲连接 默认为 0
#  rabbitmq:
#    host: 49.4.26.74
#    port: 5673
dubbo:
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
  config-center:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos

tenant:
  config:
    upload:
      path: /data/obpm-demo/
    region: 晋城市
    code: JC
    intranet: true
v5:
  business:
    organization:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://23.232.14.115:3306/obpm2_security?characterEncoding=UTF-8&serverTimezone=GMT&useSSL=false&allowPublicKeyRetrieval=true&zeroDateTimeBehavior=CONVERT_TO_NULL
      username: insx_security
      password: Insx_security#202505

#单点登录配置
#sso:
#  domainId: __MIFnVvYFZZjw5fN3OtS
#  passPrefix: Abcd@
#  useSwitch: true
#  selfAuth: false
#  #AES加密、解密Key
#  key: fjtctchsoft
#  #
#  clientId: 3505001000000250
#  #密钥
#  clientSecret: d8b471beec3caf036979d9c812a4f37b
#  #治综接口地址
##  url: http://71.30.30.175:9001/api/
#  url: http://192.168.2.106:8081/v3/sso/test/
#  #系统编码 （子系统顶级菜单id）
#  zxtqxgw: 27211
#  v5Url: http://v5qy.test.baibaodun.cn/
env:
  passPrefix: Abcd@
  requiredPhoneAsLoginName: false